<?php

namespace App\Classes\Modules\Accounts\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class UserObject implements DataTransferObject
{
    /** @var string */
    private $name;

    /** @var int */
    private $type;

    /**
     * FullNameObject constructor.
     * @param string $name
     */
    public function __construct(string $name, int $type)
    {
        $this->name = $name;
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }
}
